export interface NavigationHistoryEntryJSON {
    key: string;
    id: string;
    index: number;
    url: string | URL | null | undefined;
}
export declare function getNavigationHitoryEntryStateCacheKey(key: string): string;
export declare function getNavigationHistoryEntryState(key: string): any;
export declare function setNavigationHistoryEntryState(key: string, state: any): void;
export default class NavigationHistoryEntry {
    readonly key: string;
    readonly id: string;
    readonly index: number;
    readonly url: string | URL | null | undefined;
    constructor(index: number, url?: string | URL | null | undefined, key?: string, id?: string);
    toJSON(): NavigationHistoryEntryJSON;
    getState(): any;
}
